Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07153 DIP/Input Major Always Nov 15, 2018, 07:18 Dec 5, 2021, 16:16
Tester ShaunIvory View Status Public Platform MAME (Official Binary)
Assigned To cuavas Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver asteroid.cpp
Version 0.203 Fixed in Version 0.239 Build 64-bit
Fixed in Git Commit 7d1ff26 Github Pull Request #
Summary 07153: Apparently all systems: Per-system input (ctrlr) customization is not being picked up for Asteroids, probably other systems
Description I have been trying to figure out how to configure MAME to work with my venerable Slikstik CO2, and I have concluded there is likely a bug in the way MAME is handling these configuration settings, because it used to work -- which I have verified.

Between versions 0.114 and 0.115 (both released in 2007), the ability to set per-game inputs, at least for Asteroids, stopped working, as you can see from the screenshots attached to this bug.

Command line: mame.exe -verbose -ctrlr slikstik asteroid

(I used this config file - slikstik.cfg - because it has been part of MAME forever, and contains a section for configuring Asteroids' input)

It's also possible the schema or format of the controller configuration changed, but I can't find any documentation on it.

The reason I find it important to be able to customize the controller's behavior for specific games within the controller config, instead of in per-game CFG files, is because I want to be able to switch controllers without having to manage multiple customized CFG files.
Steps To Reproduce On a clean installation of MAME, add the asteroids ROMs.

Make sure asteroid.cfg and default.cfg do not exist in the CFG directory

mame.exe -verbose -ctrlr slikstik asteroid

Note that the settings for slikstik input are reflected in the global settings.
Note that the expected input settings are not reflected in the Input (This Machine) config.
Additional Information This behavior changed (regressed?) between 0.114 and 0.115.

Both 0.114 and 0.115 shipped with a file called slikstik.cfg, and it is identical between versions.

In 0.114, the asteroids custom input in slikstik.cfg is recognized by MAME.

In 0.115, it is not.

I verified this doesn't work for a few more systems -- I am pretty sure this simply doesn't work. Maybe it isn't supposed to work? Surely, someone else would have noticed in the last 10 years?
Github Commit
Flags
Regression Version 0.115
Affected Sets / Systems Apparently all systems
Attached Files
png file icon CombinedScreenshots.png (99,721 bytes) Nov 15, 2018, 07:18 Uploaded by ShaunIvory
Screenshots showing the difference between 0.114 and 0.115
ShaunIvory
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.15805
Tafoid
Administrator
Nov 21, 2018, 01:17
Confirmed using astdelux (asteroid has changed from from now and back in 0.114/0.115 times)
User avatar
No.19522
BlindRebel
Tester
Dec 3, 2021, 21:53
Similar to bug 1080.
Partially fixed from mame 0.234. The default system does take, but the clone/parent/source systems now do change the inputs.
User avatar
No.19524
cuavas
Administrator
Dec 5, 2021, 16:02
The reason for this is that Asteroids overrides the default assignments for the buttons, so the slikstik.cfg file needs to use the syntax for overriding specific inputs. See here: https://docs.mamedev.org/advanced/ctrlr_config.html